public static interface ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder |
advanced() |
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authDomain(String authDomain)
Authentication domain to use with NTML.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authenticationPreemptive(boolean authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authenticationPreemptive(String authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authHost(String authHost)
Authentication host to use with NTML.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authMethod(String authMethod)
Authentication methods allowed to use as a comma separated list of
values Basic, Digest or NTLM.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authMethodPriority(String authMethodPriority)
Which authentication method to prioritize to use, either as Basic,
Digest or NTLM.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authPassword(String authPassword)
Authentication password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
authUsername(String authUsername)
Authentication username.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
basicAuth(Boolean basicAuth)
Sets the flag to basicAuth on endpoint.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
basicAuth(String basicAuth)
Sets the flag to basicAuth on endpoint.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
bridgeEndpoint(boolean bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
bridgeEndpoint(String bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
chunked(boolean chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
chunked(String chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
clearExpiredCookies(boolean clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
clearExpiredCookies(String clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
connectionClose(boolean connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
connectionClose(String connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
copyHeaders(boolean copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
copyHeaders(String copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
customHostHeader(String customHostHeader)
To use custom host header for producer.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
httpMethod(ResteasyEndpointBuilderFactory.HttpMethods httpMethod)
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
httpMethod(String httpMethod)
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ignoreResponseBody(boolean ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ignoreResponseBody(String ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
password(String password)
Sets the password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
preserveHostHeader(boolean preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
preserveHostHeader(String preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthDomain(String proxyAuthDomain)
Proxy authentication domain to use with NTML.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthHost(String proxyAuthHost)
Proxy authentication host.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthMethod(String proxyAuthMethod)
Proxy authentication method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthPassword(String proxyAuthPassword)
Proxy authentication password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthPort(int proxyAuthPort)
Proxy authentication port.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthPort(String proxyAuthPort)
Proxy authentication port.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthScheme(String proxyAuthScheme)
Proxy authentication scheme to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyAuthUsername(String proxyAuthUsername)
Proxy authentication username.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyClientClass(String proxyClientClass)
Sets the resteasy proxyClientClass.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyHost(String proxyHost)
Proxy hostname to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyMethod(String proxyMethod)
Sets the proxy method defined in an interface.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyPort(int proxyPort)
Proxy port to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
proxyPort(String proxyPort)
Proxy port to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
restEasyHttpBindingRef(Object restEasyHttpBindingRef)
Sets the restEasyHttpBinding if you have a customised one registered
in the context.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
restEasyHttpBindingRef(String restEasyHttpBindingRef)
Sets the restEasyHttpBinding if you have a customised one registered
in the context.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
resteasyMethod(String resteasyMethod)
Sets the resteasy method to process the request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
servletName(String servletName)
Sets the servlet name.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
sslContextParameters(Object sslContextParameters)
To configure security using SSLContextParameters.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
throwExceptionOnFailure(boolean throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
throwExceptionOnFailure(String throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
username(String username)
Sets the username.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
x509HostnameVerifier(Object x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
x509HostnameVerifier(String x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder advanced()
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder chunked(boolean chunked)
boolean type.
Default: true
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder chunked(String chunked)
boolean type.
Default: true
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder disableStreamCache(boolean disableStreamCache)
boolean type.
Default: false
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder disableStreamCache(String disableStreamCache)
boolean type.
Default: false
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder restEasyHttpBindingRef(Object restEasyHttpBindingRef)
org.apache.camel.component.resteasy.ResteasyHttpBinding
type.
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder restEasyHttpBindingRef(String restEasyHttpBindingRef)
org.apache.camel.component.resteasy.ResteasyHttpBinding
type.
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder resteasyMethod(String resteasyMethod)
java.lang.String type.
Default: GET
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder servletName(String servletName)
java.lang.String type.
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder transferException(boolean transferException)
boolean type.
Default: false
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder transferException(String transferException)
boolean type.
Default: false
Group: commondefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder bridgeEndpoint(boolean bridgeEndpoint)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder bridgeEndpoint(String bridgeEndpoint)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder clearExpiredCookies(boolean clearExpiredCookies)
boolean type.
Default: true
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder clearExpiredCookies(String clearExpiredCookies)
boolean type.
Default: true
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder connectionClose(boolean connectionClose)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder connectionClose(String connectionClose)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder copyHeaders(boolean copyHeaders)
boolean type.
Default: true
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder copyHeaders(String copyHeaders)
boolean type.
Default: true
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder customHostHeader(String customHostHeader)
java.lang.String type.
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder httpMethod(ResteasyEndpointBuilderFactory.HttpMethods httpMethod)
org.apache.camel.http.common.HttpMethods type.
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder httpMethod(String httpMethod)
org.apache.camel.http.common.HttpMethods type.
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder ignoreResponseBody(boolean ignoreResponseBody)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder ignoreResponseBody(String ignoreResponseBody)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder lazyStartProducer(boolean lazyStartProducer)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder lazyStartProducer(String lazyStartProducer)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder preserveHostHeader(boolean preserveHostHeader)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder preserveHostHeader(String preserveHostHeader)
boolean type.
Default: false
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder throwExceptionOnFailure(boolean throwExceptionOnFailure)
boolean type.
Default: true
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder throwExceptionOnFailure(String throwExceptionOnFailure)
boolean type.
Default: true
Group: producerdefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthDomain(String proxyAuthDomain)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthHost(String proxyAuthHost)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthMethod(String proxyAuthMethod)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthPassword(String proxyAuthPassword)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthPort(int proxyAuthPort)
int type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthPort(String proxyAuthPort)
int type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthScheme(String proxyAuthScheme)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyAuthUsername(String proxyAuthUsername)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyClientClass(String proxyClientClass)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyHost(String proxyHost)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyMethod(String proxyMethod)
java.lang.String type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyPort(int proxyPort)
int type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder proxyPort(String proxyPort)
int type.
Group: proxydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authDomain(String authDomain)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authenticationPreemptive(boolean authenticationPreemptive)
boolean type.
Default: false
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authenticationPreemptive(String authenticationPreemptive)
boolean type.
Default: false
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authHost(String authHost)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authMethod(String authMethod)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authMethodPriority(String authMethodPriority)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authPassword(String authPassword)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder authUsername(String authUsername)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder basicAuth(Boolean basicAuth)
java.lang.Boolean type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder basicAuth(String basicAuth)
java.lang.Boolean
type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder password(String password)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder sslContextParameters(Object sslContextParameters)
org.apache.camel.support.jsse.SSLContextParameters type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder sslContextParameters(String sslContextParameters)
org.apache.camel.support.jsse.SSLContextParameters type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder username(String username)
java.lang.String type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder x509HostnameVerifier(Object x509HostnameVerifier)
javax.net.ssl.HostnameVerifier type.
Group: securitydefault ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder x509HostnameVerifier(String x509HostnameVerifier)
javax.net.ssl.HostnameVerifier type.
Group: securityApache Camel